Loading...
Searching...
No Matches
pw_metadata_methods Struct Reference
Extensions » Metadata

Metadata methods More...

`#include <pipewire/extensions/metadata.h>`

## Data Fields

uint32_t | version
int(* | add_listener )(void *object, struct spa_hook *listener, const struct pw_metadata_events *events, void *data)
int(* | set_property )(void *object, uint32_t subject, const char *key, const char *type, const char *value)
| Set a metadata property.
int(* | clear )(void *object)
| Clear all metadata.

## Detailed Description

Metadata methods

## Field Documentation

## version

uint32_t pw_metadata_methods::version

## add_listener

int(* pw_metadata_methods::add_listener) (void *object, struct spa_hook *listener, const struct pw_metadata_events *events, void *data)

## set_property

int(* pw_metadata_methods::set_property) (void *object, uint32_t subject, const char *key, const char *type, const char *value)

Set a metadata property.

Automatically emit property events for the subject and key when they are changed.

Parameters

  subject | the id of the global to associate the metadata with.
  key | the key of the metadata, NULL clears all metadata for the subject.
  type | the type of the metadata, this can be blank
  value | the metadata value. NULL clears the metadata.

This requires X and W permissions on the metadata. It also requires M permissions on the subject global.

## clear

int(* pw_metadata_methods::clear) (void *object)

Clear all metadata.

This requires X and W permissions on the metadata.

The documentation for this struct was generated from the following file:

- pipewire/extensions/metadata.h